Create a minimal backport of PSR-3 logging to MediaWiki 1.23 LTS
Closed, ResolvedPublic

Description

PSR-3 logging did not land in MediaWiki until 1.25. Backports to the 1.23 LTS release branch will become more difficult as more code is converted in MediaWiki core and extensions to use the PSR-3 logging facilities. Creation of a minimal PSR-3 compatibility layer in 1.23 will make backports easier. This layer should be the thinnest PSR-3 shim possible.

bd808 created this task.Mar 5 2015, 4:31 PM
bd808 added a project: User-bd808.
bd808 added a subscriber: bd808.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 5 2015, 4:31 PM
Legoktm added a subscriber: Legoktm.Mar 5 2015, 4:50 PM
greg added a subscriber: greg.
bd808 added a comment.Apr 6 2015, 4:10 PM

The patch must provide:

  • MediaWiki\Logger\LoggerFactory::getInstance()
  • Psr\Log\LoggerInterface

The Psr\Log\LoggerInterface instances returned from MediaWiki\Logger\LoggerFactory::getInstance() should delegate all of the PSR-3 log level messages to wfDebugLog().

Change 203779 had a related patch set uploaded (by BryanDavis):
Minimal PSR-3 compatible logger layer

https://gerrit.wikimedia.org/r/203779

bd808 claimed this task.Apr 13 2015, 12:10 AM
bd808 moved this task from To Do to Needs Review/Feedback on the User-bd808 board.

Change 203779 merged by jenkins-bot:
Minimal PSR-3 compatible logger layer

https://gerrit.wikimedia.org/r/203779

Legoktm closed this task as "Resolved".Apr 15 2015, 5:25 AM
bd808 moved this task from Needs Review/Feedback to Done on the User-bd808 board.Apr 23 2015, 4:17 PM
bd808 moved this task from Done to Archive on the User-bd808 board.Apr 24 2015, 6:18 PM
greg moved this task from To Triage to Done on the Release-Engineering-Team board.May 23 2015, 2:14 PM

Change 237549 had a related patch set uploaded (by Gergő Tisza):
Minimal PSR-3 compatible logger layer

https://gerrit.wikimedia.org/r/237549

Change 237549 merged by jenkins-bot:
Minimal PSR-3 compatible logger layer

https://gerrit.wikimedia.org/r/237549